<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      <ion-grid>
        <ion-row>
          <ion-col size="3">
            <ion-icon
              class="ion-text-start"
              (click)="openMenu()"
              name="menu-outline"
            ></ion-icon>
          </ion-col>
          <ion-col size="9">
            <ion-title
              >{{ parentFolder && isEditing ? 'Note edition' : 'Note creation' }}</ion-title>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card style="margin-bottom: 50px;">
    <ion-card *ngIf="parentFolder" class="height-line" [ngStyle]="{'background-color': parentFolder.color}">
    </ion-card>
    <ion-card-header>
      <ion-grid>
        <ion-row>
          <ion-col size="9">
            <ion-card-title>
              <ion-text color="medium">{{ parentFolder ? 'Parent: ' : 'New note: ' }}</ion-text>
              <ion-text color="dark">{{ parentFolder && parentFolder.name ? parentFolder.name : ''  }}</ion-text>
            </ion-card-title>
          </ion-col>
          <ion-col size="1">
            <ion-icon
            class="ion-text-end right-custom ion-text-center"
            (click)="addImage()"
            name="image-outline"
          ></ion-icon>
          </ion-col>
          <ion-col size="1">
            <ion-icon
              (click)="useCamera()"
              class="ion-text-end right-custom ion-text-center"
              name="camera-outline"
            ></ion-icon>
          </ion-col>
          <ion-col size="1">
            <ion-icon
              (click)="clearImage()"
              class="ion-text-end right-custom ion-text-center"
              name="close-outline"
            ></ion-icon>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card-header>
    <ion-card-content>
      <ion-item lines="none"
      *ngIf="loadedImage && loadedImage != '0' && loadedImage != 'undefined'"
    >
      <div
        class="img-container ion-text-center"
      >
        <ion-img-viewer
          class="image-style"
          title="Current image" 
          scheme="dark" 
          [src]="loadedImage">
        </ion-img-viewer>
      </div>
  
    </ion-item>
      <ion-item>
        <ion-label position="floating">Title<ion-text color="danger">*</ion-text></ion-label>
        <ion-input type="text" [(ngModel)]="loadedNote.title"></ion-input>
      </ion-item>

      <ion-label *ngIf="errors.titleSize" color="danger"
        >{{errorMessages.titleSize}}</ion-label
      >
      <ion-label *ngIf="errors.titleUnique" color="danger"
        >{{errorMessages.titleUnique}}</ion-label
      >
      <ion-item ion-margin-horizontal ion-padding-horizontal>
        <ion-label position="floating">Content<ion-text color="danger">*</ion-text></ion-label>
        <ion-textarea [(ngModel)]="loadedNote.content"></ion-textarea>
      </ion-item>
      <ion-label *ngIf="errors.contentSize" color="danger"
        >{{errorMessages.contentSize}}</ion-label
      >
      <ion-item>
        <ion-grid>
          <ion-row class="ion-margin-vertical">
            <ion-label>
              <ion-text color="medium">List items</ion-text>
              <ion-badge class="ion-margin-horizontal" style="margin-top: 10px;"
              [color]="listItems.length == 15 ? 'danger' : 'success'">
                {{listItems.length}}/15
              </ion-badge>
            </ion-label>
          </ion-row>
          <ion-row *ngFor="let item of listItems" class="ion-margin-horizontal">
            <ion-icon
              (click)="removeItem(item.item)"
              class="ion-margin-end"
              name="close-circle-outline"
            >
            </ion-icon>
            <ion-label>
              {{truncateString(item.item,20)}}
            </ion-label>
          </ion-row>
          <ion-row *ngIf="listItems.length < 15">
            <ion-col size="10">
              <ion-item>
                <ion-label position="floating">Add new item</ion-label>
                <ion-input type="text" [(ngModel)]="currentNewItem"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="2">
              <ion-icon
                (click)="addItem()"
                class="ion-text-end right-custom ion-text-center"
                name="add-outline"
              ></ion-icon>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-label *ngIf="errors.listItemSize" color="danger"
        >{{errorMessages.listItemSize}}</ion-label
      >
      <ion-item *ngIf="!isEditing">
        <ion-label>Folder</ion-label>
        <ion-select [(ngModel)]="loadedNote.folder" [placeholder]="hasParent && parentFolder ? parentFolder.name : 'No parent'">
          <ion-select-option
            ngDefaultControl
            *ngFor="let folder of getFolder3DepsMax(4)"
            [value]="folder"
          >
            {{ folder.name }}
          </ion-select-option>
        </ion-select>
      </ion-item>
      <div class="ion-text-right ion-margin-vertical">
        <ion-button color="secondary" (click)="addNote()">
          <ion-icon slot="start" name="add-circle-outline"></ion-icon>
          <ion-label>{{ isEditing ? "Update" : "Create"}}</ion-label>
        </ion-button>
      </div>
    </ion-card-content>
  </ion-card>
</ion-content>
